Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit
Class PooledPort.WaitEntry

    java.lang.Object
      de.knipp.rritoolkit.PooledPort.WaitEntry

Enclosing class:
  PooledPort

    private static class PooledPort.WaitEntry

extends java.lang.Object

class that describes a waiting thread

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private RegistryChannel` | `channel` the assigned channel
`private boolean` | `dataSet` flag whether result has been set
`private java.io.IOException` | `ioException` the exception to throw

Constructor Summary
`private` | `PooledPort.WaitEntry()`

Method Summary
`RegistryChannel` | `waitForChannel()` wait for a connection
`void` | `wakeUp(java.io.IOException exception)` wake up the waiting thread, causing it to throw the given exception
`void` | `wakeUp(RegistryChannel theChannel)` wake up the waiting thread, giving it the specified channel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### channel

    private RegistryChannel channel

  the assigned channel

### ioException

    private java.io.IOException ioException

  the exception to throw

### dataSet

    private boolean dataSet

  flag whether result has been set

Constructor Detail

### PooledPort.WaitEntry

    private PooledPort.WaitEntry()

Method Detail

### waitForChannel

    public RegistryChannel waitForChannel()
                                   throws java.io.IOException

  wait for a connection

  Returns:
    the channel
  Throws:
    `java.io.IOException` - if the channel could not be assigned

### wakeUp

    public void wakeUp(RegistryChannel theChannel)

  wake up the waiting thread, giving it the specified channel

  Parameters:
    `theChannel` - the channel

### wakeUp

    public void wakeUp(java.io.IOException exception)

  wake up the waiting thread, causing it to throw the given exception

  Parameters:
    `exception` - the exception to throw

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH